package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.DataRequirementData;
import com.lightinit.hsdataportal.entity.DataRequirementDataExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DataRequirementDataMapper {
    long countByExample(DataRequirementDataExample example);

    int deleteByExample(DataRequirementDataExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DataRequirementData record);

    int insertSelective(DataRequirementData record);

    List<DataRequirementData> selectByExample(DataRequirementDataExample example);

    DataRequirementData selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DataRequirementData record, @Param("example") DataRequirementDataExample example);

    int updateByExample(@Param("record") DataRequirementData record, @Param("example") DataRequirementDataExample example);

    int updateByPrimaryKeySelective(DataRequirementData record);

    int updateByPrimaryKey(DataRequirementData record);

    int deleteByResourceId(Long id);

    List<DataRequirementData> selectByDataRqmentId(Long id);
}